*-----------------------------------------------------------------------
*     UYAXNM : PLOT Y-AXIS (SPECIFY NUMBERS)
*-----------------------------------------------------------------------
*     Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
*-----------------------------------------------------------------------
      SUBROUTINE UYAXNM(CSIDE,UY1,N1,UY2,N2)

      REAL      UY1(*),UY2(*)
      CHARACTER CSIDE*1

      LOGICAL   LABEL,LUYCHK


      IF (.NOT.(LUYCHK(CSIDE))) THEN
        CALL MSGDMP('E','UYAXNM','SIDE PARAMETER IS INVALID.')
      END IF

      CALL UYSOFF

      CALL UYPAXS(CSIDE,2)

      IF (N1.GE.1) THEN
        CALL UYPTMK(CSIDE,1,UY1,N1)
      END IF

      IF (N2.GE.1) THEN
        CALL UYPTMK(CSIDE,2,UY2,N2)
        CALL UZLGET('LABELY'//CSIDE,LABEL)
        IF (LABEL) THEN
          CALL UYPNUM(CSIDE,1,UY2,N2)
        END IF
      END IF

      CALL UYROFF

      END
